Name:		elisa
Version:	23.08.5
Release:	%mkrel 1
Summary:	A powerful Music Player for Plasma 5
Group:		Graphical desktop/KDE5
License:	LGPLv3+
Url:		https://community.kde.org/Elisa
Source0:	https://download.kde.org/stable/elisa/%{version}/%{name}-%{version}.tar.xz
Source1:    elisa.conf
BuildRequires: lib64baloo5-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5declarative-devel
BuildRequires: lib64kf5filemetadata-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: kirigami-devel
Requires:	qtquickcontrols25

%description
Elisa is a simple music player aiming to provide a nice experience
for its users. Elisa allows to browse music by album, artist or
all tracks. The music is indexed using either a private indexer or
an indexer using Baloo. The private one can be configured to scan
music on chosen paths. The Baloo one is much faster because Baloo
is providing all needed data from its own database. You can build
and play your own playlist.

%files -f %{name}.lang
%{_sysconfdir}/ld.so.conf.d/elisa.conf
%{_bindir}/elisa
%{_libdir}/elisa/libelisaLib.so.0
%{_libdir}/elisa/libelisaLib.so.0.1
%{_datadir}/applications/org.kde.elisa.desktop
%{_datadir}/icons/hicolor/128x128/apps/elisa.png
%{_datadir}/icons/hicolor/16x16/apps/elisa.png
%{_datadir}/icons/hicolor/22x22/apps/elisa.png
%{_datadir}/icons/hicolor/32x32/apps/elisa.png
%{_datadir}/icons/hicolor/48x48/apps/elisa.png
%{_datadir}/icons/hicolor/64x64/apps/elisa.png
%{_datadir}/icons/hicolor/scalable/apps/elisa.svg
%{_datadir}/metainfo/org.kde.elisa.appdata.xml
%{_datadir}/qlogging-categories5/elisa.categories
%{_libdir}/qt5/qml/org/kde/elisa/libelisaqmlplugin.so
%{_libdir}/qt5/qml/org/kde/elisa/qmldir
%{_libdir}/qt5/qml/org/kde/elisa/plugins.qmltypes
/usr/share/dbus-1/services/org.kde.elisa.service
#--------------------------------------------------------------------

%package	handbook
Summary:	Elisa Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Elisa handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -Wno-dev

%make_build

%install
rm -rf %buildroot
%make_install -C build

mkdir -p %buildroot%{_sysconfdir}/ld.so.conf.d
install -m 0644 %SOURCE1 %buildroot%{_sysconfdir}/ld.so.conf.d

%find_lang %{name} --all-name

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

